<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KSpeech</name>
    <filename>classKSpeech.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="enumeration">
      <name>kttsdJobState</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsQueued</name>
      <anchor>w9w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeakable</name>
      <anchor>w9w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeaking</name>
      <anchor>w9w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsPaused</name>
      <anchor>w9w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsFinished</name>
      <anchor>w9w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>kttsdMarkupType</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtPlain</name>
      <anchor>w10w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtJsml</name>
      <anchor>w10w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSsml</name>
      <anchor>w10w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSable</name>
      <anchor>w10w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>supportsMarkup</name>
      <anchor>z1_0</anchor>
      <arglist>(const QString &amp;talker, uint markupType=0) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>supportsMarkers</name>
      <anchor>z1_1</anchor>
      <arglist>(const QString &amp;talker) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sayScreenReaderOutput</name>
      <anchor>z1_2</anchor>
      <arglist>(const QString &amp;msg, const QString &amp;talker)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sayWarning</name>
      <anchor>z1_3</anchor>
      <arglist>(const QString &amp;warning, const QString &amp;talker)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sayMessage</name>
      <anchor>z1_4</anchor>
      <arglist>(const QString &amp;message, const QString &amp;talker)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>setSentenceDelimiter</name>
      <anchor>z1_5</anchor>
      <arglist>(const QString &amp;delimiter)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>setText</name>
      <anchor>z1_6</anchor>
      <arglist>(const QString &amp;text, const QString &amp;talker)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>appendText</name>
      <anchor>z1_7</anchor>
      <arglist>(const QString &amp;text, uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>setFile</name>
      <anchor>z1_8</anchor>
      <arglist>(const QString &amp;filename, const QString &amp;talker, const QString &amp;encoding)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>getTextCount</name>
      <anchor>z1_9</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>getCurrentTextJob</name>
      <anchor>z1_10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>getTextJobCount</name>
      <anchor>z1_11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>getTextJobNumbers</name>
      <anchor>z1_12</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>getTextJobState</name>
      <anchor>z1_13</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QByteArray</type>
      <name>getTextJobInfo</name>
      <anchor>z1_14</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>talkerCodeToTalkerId</name>
      <anchor>z1_15</anchor>
      <arglist>(const QString &amp;talkerCode)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>getTextJobSentence</name>
      <anchor>z1_16</anchor>
      <arglist>(uint jobNum=0, uint seq=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>isSpeakingText</name>
      <anchor>z1_17</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>removeText</name>
      <anchor>z1_18</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>startText</name>
      <anchor>z1_19</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>stopText</name>
      <anchor>z1_20</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>pauseText</name>
      <anchor>z1_21</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>resumeText</name>
      <anchor>z1_22</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>getTalkers</name>
      <anchor>z1_23</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>changeTextTalker</name>
      <anchor>z1_24</anchor>
      <arglist>(const QString &amp;talker, uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>userDefaultTalker</name>
      <anchor>z1_25</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>moveTextLater</name>
      <anchor>z1_26</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>jumpToTextPart</name>
      <anchor>z1_27</anchor>
      <arglist>(int partNum, uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>moveRelTextSentence</name>
      <anchor>z1_28</anchor>
      <arglist>(int n, uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>speakClipboard</name>
      <anchor>z1_29</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>showDialog</name>
      <anchor>z1_30</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>kttsdExit</name>
      <anchor>z1_31</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>reinit</name>
      <anchor>z1_32</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>kttsdStarted</name>
      <anchor>z3_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>kttsdExiting</name>
      <anchor>z3_1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>markerSeen</name>
      <anchor>z3_2</anchor>
      <arglist>(const QCString &amp;appId, const QString &amp;markerName)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>sentenceStarted</name>
      <anchor>z3_3</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum, uint seq)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>sentenceFinished</name>
      <anchor>z3_4</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum, uint seq)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textSet</name>
      <anchor>z3_5</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textAppended</name>
      <anchor>z3_6</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum, int partNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textStarted</name>
      <anchor>z3_7</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textFinished</name>
      <anchor>z3_8</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textStopped</name>
      <anchor>z3_9</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textPaused</name>
      <anchor>z3_10</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textResumed</name>
      <anchor>z3_11</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>textRemoved</name>
      <anchor>z3_12</anchor>
      <arglist>(const QCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="classKSpeech">Features</docanchor>
    <docanchor file="classKSpeech">cmdline</docanchor>
    <docanchor file="classKSpeech">authors</docanchor>
    <docanchor file="classKSpeech">markers</docanchor>
    <docanchor file="classKSpeech">Requirements</docanchor>
    <docanchor file="classKSpeech">talkers</docanchor>
    <docanchor file="classKSpeech">markup</docanchor>
    <docanchor file="classKSpeech">programming</docanchor>
    <docanchor file="classKSpeech">signals</docanchor>
    <docanchor file="classKSpeech">goals</docanchor>
    <docanchor file="classKSpeech">sentenceparsing</docanchor>
  </compound>
  <compound kind="class">
    <name>KSpeechSink</name>
    <filename>classKSpeechSink.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="enumeration">
      <name>kttsdJobState</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsQueued</name>
      <anchor>w9w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeakable</name>
      <anchor>w9w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeaking</name>
      <anchor>w9w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsPaused</name>
      <anchor>w9w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsFinished</name>
      <anchor>w9w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>kttsdMarkupType</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtPlain</name>
      <anchor>w10w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtJsml</name>
      <anchor>w10w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSmml</name>
      <anchor>w10w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSable</name>
      <anchor>w10w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>kttsdStarted</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>kttsdExiting</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>markerSeen</name>
      <anchor>z2</anchor>
      <arglist>(const QCString &amp;, const QString &amp;)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>sentenceStarted</name>
      <anchor>z3</anchor>
      <arglist>(const QCString &amp;, uint, uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>sentenceFinished</name>
      <anchor>z4</anchor>
      <arglist>(const QCString &amp;, uint, uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textSet</name>
      <anchor>z5</anchor>
      <arglist>(const QCString &amp;, uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textAppended</name>
      <anchor>z6</anchor>
      <arglist>(const QCString &amp;, uint, int)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textStarted</name>
      <anchor>z7</anchor>
      <arglist>(const QCString &amp;, uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textFinished</name>
      <anchor>z8</anchor>
      <arglist>(const QCString &amp;, uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textStopped</name>
      <anchor>z9</anchor>
      <arglist>(const QCString &amp;, uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textPaused</name>
      <anchor>z10</anchor>
      <arglist>(const QCString &amp;, uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textResumed</name>
      <anchor>z11</anchor>
      <arglist>(const QCString &amp;, uint)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textRemoved</name>
      <anchor>z12</anchor>
      <arglist>(const QCString &amp;, uint)</arglist>
    </member>
    <docanchor file="classKSpeechSink">Usage</docanchor>
  </compound>
</tagfile>
