<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KPrintDialogPage</name>
    <filename>classKPrintDialogPage.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KPrintDialogPage</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPrintDialogPage</name>
      <anchor>a1</anchor>
      <arglist>(KMPrinter *pr, DrMain *dr=0, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrintDialogPage</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>getOptions</name>
      <anchor>a3</anchor>
      <arglist>(QMap&lt; QString, QString &gt; &amp;opts, bool incldef=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOptions</name>
      <anchor>a4</anchor>
      <arglist>(const QMap&lt; QString, QString &gt; &amp;opts)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isValid</name>
      <anchor>a5</anchor>
      <arglist>(QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchor>a7</anchor>
      <arglist>(int ID)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;txt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>onlyRealPrinters</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOnlyRealPrinters</name>
      <anchor>a11</anchor>
      <arglist>(bool on=true)</arglist>
    </member>
    <member kind="function">
      <type>DrMain *</type>
      <name>driver</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KMPrinter *</type>
      <name>printer</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMPrinter *</type>
      <name>m_printer</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DrMain *</type>
      <name>m_driver</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_ID</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_title</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_onlyreal</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrinter</name>
    <filename>classKPrinter.html</filename>
    <base>QPaintDevice</base>
    <member kind="enumeration">
      <name>StandardPageType</name>
      <anchor>w50</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>PageSelectionType</name>
      <anchor>w51</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ApplicationType</name>
      <anchor>w52</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>PageSetType</name>
      <anchor>w53</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>CollateType</name>
      <anchor>w54</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ColorMode</name>
      <anchor>w55</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Orientation</name>
      <anchor>w56</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>PageOrder</name>
      <anchor>w57</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>PageSize</name>
      <anchor>w58</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPrinter</name>
      <anchor>a0</anchor>
      <arglist>(bool restore=true, QPrinter::PrinterMode m=QPrinter::ScreenResolution)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPrinter</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>newPage</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>abort</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>aborted</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>outputToFile</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOutputToFile</name>
      <anchor>a6</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>outputFileName</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOutputFileName</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>docName</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDocName</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>creator</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCreator</name>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fullPage</name>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFullPage</name>
      <anchor>a14</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>ColorMode</type>
      <name>colorMode</name>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setColorMode</name>
      <anchor>a16</anchor>
      <arglist>(ColorMode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numCopies</name>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNumCopies</name>
      <anchor>a18</anchor>
      <arglist>(int n)</arglist>
    </member>
    <member kind="function">
      <type>Orientation</type>
      <name>orientation</name>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrientation</name>
      <anchor>a20</anchor>
      <arglist>(Orientation)</arglist>
    </member>
    <member kind="function">
      <type>PageOrder</type>
      <name>pageOrder</name>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPageOrder</name>
      <anchor>a22</anchor>
      <arglist>(PageOrder)</arglist>
    </member>
    <member kind="function">
      <type>CollateType</type>
      <name>collate</name>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCollate</name>
      <anchor>a24</anchor>
      <arglist>(CollateType type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>minPage</name>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxPage</name>
      <anchor>a26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinMax</name>
      <anchor>a27</anchor>
      <arglist>(int, int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fromPage</name>
      <anchor>a28</anchor>
      <arglist>() const KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toPage</name>
      <anchor>a29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFromTo</name>
      <anchor>a30</anchor>
      <arglist>(int, int)</arglist>
    </member>
    <member kind="function">
      <type>PageSize</type>
      <name>pageSize</name>
      <anchor>a31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPageSize</name>
      <anchor>a32</anchor>
      <arglist>(PageSize)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>printerName</name>
      <anchor>a33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPrinterName</name>
      <anchor>a34</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>printProgram</name>
      <anchor>a35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPrintProgram</name>
      <anchor>a36</anchor>
      <arglist>(const QString &amp;cmd)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>printerSelectionOption</name>
      <anchor>a37</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPrinterSelectionOption</name>
      <anchor>a38</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentPage</name>
      <anchor>a39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentPage</name>
      <anchor>a40</anchor>
      <arglist>(int p=0)</arglist>
    </member>
    <member kind="function">
      <type>PageSetType</type>
      <name>pageSet</name>
      <anchor>a41</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setup</name>
      <anchor>a42</anchor>
      <arglist>(QWidget *parent=0, const QString &amp;caption=QString::null, bool forceExpand=false)</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>margins</name>
      <anchor>a43</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMargins</name>
      <anchor>a44</anchor>
      <arglist>(QSize m)</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>realPageSize</name>
      <anchor>a45</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRealPageSize</name>
      <anchor>a46</anchor>
      <arglist>(QSize p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRealDrawableArea</name>
      <anchor>a47</anchor>
      <arglist>(const QRect &amp;r)</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>realDrawableArea</name>
      <anchor>a48</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>margins</name>
      <anchor>a49</anchor>
      <arglist>(uint *top, uint *left, uint *bottom, uint *right) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMargins</name>
      <anchor>a50</anchor>
      <arglist>(uint top, uint left, uint bottom, uint right)</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; int &gt;</type>
      <name>pageList</name>
      <anchor>a51</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreviewOnly</name>
      <anchor>a52</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>previewOnly</name>
      <anchor>a53</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResolution</name>
      <anchor>a54</anchor>
      <arglist>(int dpi)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>resolution</name>
      <anchor>a55</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUsePrinterResolution</name>
      <anchor>a56</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>KPrinterImpl *</type>
      <name>implementation</name>
      <anchor>a57</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>printFiles</name>
      <anchor>a58</anchor>
      <arglist>(const QStringList &amp;files, bool removeafter=false, bool startviewer=true)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>option</name>
      <anchor>a59</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOption</name>
      <anchor>a60</anchor>
      <arglist>(const QString &amp;key, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>const QMap&lt; QString, QString &gt; &amp;</type>
      <name>options</name>
      <anchor>a61</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchor>a62</anchor>
      <arglist>(const QMap&lt; QString, QString &gt; &amp;opts)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initOptions</name>
      <anchor>a63</anchor>
      <arglist>(const QMap&lt; QString, QString &gt; &amp;opts)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>searchName</name>
      <anchor>a64</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSearchName</name>
      <anchor>a65</anchor>
      <arglist>(const QString &amp;n)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>errorMessage</name>
      <anchor>a66</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setErrorMessage</name>
      <anchor>a67</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoConfigure</name>
      <anchor>a68</anchor>
      <arglist>(const QString &amp;prname=QString::null, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDocFileName</name>
      <anchor>a69</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>docFileName</name>
      <anchor>a70</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDocDirectory</name>
      <anchor>a71</anchor>
      <arglist>(const QString &amp;dir)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>docDirectory</name>
      <anchor>a72</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>addDialogPage</name>
      <anchor>e0</anchor>
      <arglist>(KPrintDialogPage *_page)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setPageSelection</name>
      <anchor>e1</anchor>
      <arglist>(PageSelectionType _mode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static PageSelectionType</type>
      <name>pageSelection</name>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setApplicationType</name>
      <anchor>e3</anchor>
      <arglist>(ApplicationType type)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ApplicationType</type>
      <name>applicationType</name>
      <anchor>e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>addStandardPage</name>
      <anchor>e5</anchor>
      <arglist>(int p)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>removeStandardPage</name>
      <anchor>e6</anchor>
      <arglist>(int p)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>cmd</name>
      <anchor>b0</anchor>
      <arglist>(int, QPainter *, QPDevCmdParam *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>metric</name>
      <anchor>b1</anchor>
      <arglist>(int) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>translateQtOptions</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadSettings</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveSettings</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>preparePrinting</name>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finishPrinting</name>
      <anchor>b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reload</name>
      <anchor>b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>init</name>
      <anchor>b8</anchor>
      <arglist>(bool restore=true, QPrinter::PrinterMode m=QPrinter::ScreenResolution)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>doPreview</name>
      <anchor>b9</anchor>
      <arglist>(const QString &amp;file)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setRealPageSize</name>
      <anchor>b10</anchor>
      <arglist>(DrPageSize *p)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setOption</name>
      <anchor>b11</anchor>
      <arglist>(const QString &amp;key, const QString &amp;value, bool broadcast)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KPrinterPrivate *</type>
      <name>d</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KPrinterWrapper</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KPrinterImpl</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TreeComboBox</name>
    <filename>classTreeComboBox.html</filename>
    <base>QComboBox</base>
    <member kind="function">
      <type></type>
      <name>TreeComboBox</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertItem</name>
      <anchor>a1</anchor>
      <arglist>(const QPixmap &amp;pix, const QString &amp;txt, bool oneBlock=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TreeListBox</name>
    <filename>classTreeListBox.html</filename>
    <base>QListBox</base>
    <member kind="function">
      <type></type>
      <name>TreeListBox</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paintCell</name>
      <anchor>b0</anchor>
      <arglist>(QPainter *p, int row, int col)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>TreeListBoxItem</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TreeListBoxItem</name>
    <filename>classTreeListBoxItem.html</filename>
    <base>QListBoxPixmap</base>
    <member kind="function">
      <type></type>
      <name>TreeListBoxItem</name>
      <anchor>a0</anchor>
      <arglist>(QListBox *lb, const QPixmap &amp;pix, const QString &amp;txt, bool oneBlock=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>width</name>
      <anchor>a1</anchor>
      <arglist>(const QListBox *lb) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paint</name>
      <anchor>b0</anchor>
      <arglist>(QPainter *p)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>stepSize</name>
      <anchor>b1</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>cups/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/cups/</path>
    <filename>dir_000000.html</filename>
    <dir>cups/cupsdconf2/</dir>
    <file>cupsaddsmb2.cpp</file>
    <file>cupsaddsmb2.h</file>
    <file>cupsinfos.cpp</file>
    <file>cupsinfos.h</file>
    <file>image.cpp</file>
    <file>imageposition.cpp</file>
    <file>imageposition.h</file>
    <file>imagepreview.cpp</file>
    <file>imagepreview.h</file>
    <file>ippreportdlg.cpp</file>
    <file>ippreportdlg.h</file>
    <file>ipprequest.cpp</file>
    <file>ipprequest.h</file>
    <file>kcupsprinterimpl.cpp</file>
    <file>kcupsprinterimpl.h</file>
    <file>kmconfigcups.cpp</file>
    <file>kmconfigcups.h</file>
    <file>kmconfigcupsdir.cpp</file>
    <file>kmconfigcupsdir.h</file>
    <file>kmcupsconfigwidget.cpp</file>
    <file>kmcupsconfigwidget.h</file>
    <file>kmcupsfactory.cpp</file>
    <file>kmcupsjobmanager.cpp</file>
    <file>kmcupsjobmanager.h</file>
    <file>kmcupsmanager.cpp</file>
    <file>kmcupsmanager.h</file>
    <file>kmcupsuimanager.cpp</file>
    <file>kmcupsuimanager.h</file>
    <file>kmpropbanners.cpp</file>
    <file>kmpropbanners.h</file>
    <file>kmpropquota.cpp</file>
    <file>kmpropquota.h</file>
    <file>kmpropusers.cpp</file>
    <file>kmpropusers.h</file>
    <file>kmwbanners.cpp</file>
    <file>kmwbanners.h</file>
    <file>kmwfax.cpp</file>
    <file>kmwfax.h</file>
    <file>kmwipp.cpp</file>
    <file>kmwipp.h</file>
    <file>kmwippprinter.cpp</file>
    <file>kmwippprinter.h</file>
    <file>kmwippselect.cpp</file>
    <file>kmwippselect.h</file>
    <file>kmwother.cpp</file>
    <file>kmwother.h</file>
    <file>kmwquota.cpp</file>
    <file>kmwquota.h</file>
    <file>kmwusers.cpp</file>
    <file>kmwusers.h</file>
    <file>kphpgl2page.cpp</file>
    <file>kphpgl2page.h</file>
    <file>kpimagepage.cpp</file>
    <file>kpimagepage.h</file>
    <file>kpschedulepage.cpp</file>
    <file>kpschedulepage.h</file>
    <file>kptagspage.cpp</file>
    <file>kptagspage.h</file>
    <file>kptextpage.cpp</file>
    <file>kptextpage.h</file>
  </compound>
  <compound kind="dir">
    <name>cups/cupsdconf2/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/cups/cupsdconf2/</path>
    <filename>dir_000001.html</filename>
    <file>addressdialog.cpp</file>
    <file>addressdialog.h</file>
    <file>browsedialog.cpp</file>
    <file>browsedialog.h</file>
    <file>cups-util.h</file>
    <file>cupsdbrowsingpage.cpp</file>
    <file>cupsdbrowsingpage.h</file>
    <file>cupsdcomment.cpp</file>
    <file>cupsdcomment.h</file>
    <file>cupsdconf.cpp</file>
    <file>cupsdconf.h</file>
    <file>cupsddialog.cpp</file>
    <file>cupsddialog.h</file>
    <file>cupsddirpage.cpp</file>
    <file>cupsddirpage.h</file>
    <file>cupsdfilterpage.cpp</file>
    <file>cupsdfilterpage.h</file>
    <file>cupsdjobspage.cpp</file>
    <file>cupsdjobspage.h</file>
    <file>cupsdlogpage.cpp</file>
    <file>cupsdlogpage.h</file>
    <file>cupsdnetworkpage.cpp</file>
    <file>cupsdnetworkpage.h</file>
    <file>cupsdpage.cpp</file>
    <file>cupsdpage.h</file>
    <file>cupsdsecuritypage.cpp</file>
    <file>cupsdsecuritypage.h</file>
    <file>cupsdserverpage.cpp</file>
    <file>cupsdserverpage.h</file>
    <file>cupsdsplash.cpp</file>
    <file>cupsdsplash.h</file>
    <file>editlist.cpp</file>
    <file>editlist.h</file>
    <file>locationdialog.cpp</file>
    <file>locationdialog.h</file>
    <file>main.cpp</file>
    <file>portdialog.cpp</file>
    <file>portdialog.h</file>
    <file>qdirlineedit.cpp</file>
    <file>qdirlineedit.h</file>
    <file>qdirmultilineedit.cpp</file>
    <file>qdirmultilineedit.h</file>
    <file>sizewidget.cpp</file>
    <file>sizewidget.h</file>
  </compound>
  <compound kind="dir">
    <name>tools/escputil/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/tools/escputil/</path>
    <filename>dir_000005.html</filename>
    <file>escpwidget.cpp</file>
    <file>escpwidget.h</file>
  </compound>
  <compound kind="dir">
    <name>ext/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/ext/</path>
    <filename>dir_000007.html</filename>
    <file>kextprinterimpl.cpp</file>
    <file>kextprinterimpl.h</file>
    <file>kmextfactory.cpp</file>
    <file>kmextmanager.cpp</file>
    <file>kmextmanager.h</file>
    <file>kmextuimanager.cpp</file>
    <file>kmextuimanager.h</file>
  </compound>
  <compound kind="dir">
    <name>foomatic/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/foomatic/</path>
    <filename>dir_000008.html</filename>
    <file>kfoomaticprinterimpl.cpp</file>
    <file>kfoomaticprinterimpl.h</file>
    <file>kmfoomaticfactory.cpp</file>
    <file>kmfoomaticmanager.cpp</file>
    <file>kmfoomaticmanager.h</file>
  </compound>
  <compound kind="dir">
    <name>lpd/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/lpd/</path>
    <filename>dir_000006.html</filename>
    <file>gschecker.cpp</file>
    <file>gschecker.h</file>
    <file>klpdprinterimpl.cpp</file>
    <file>klpdprinterimpl.h</file>
    <file>kmlpdfactory.cpp</file>
    <file>kmlpdfactory.h</file>
    <file>kmlpdmanager.cpp</file>
    <file>kmlpdmanager.h</file>
    <file>kmlpduimanager.cpp</file>
    <file>kmlpduimanager.h</file>
    <file>lpdtools.cpp</file>
    <file>lpdtools.h</file>
  </compound>
  <compound kind="dir">
    <name>lpdunix/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/lpdunix/</path>
    <filename>dir_000009.html</filename>
    <file>klpdunixprinterimpl.cpp</file>
    <file>klpdunixprinterimpl.h</file>
    <file>kmlpdunixfactory.cpp</file>
    <file>kmlpdunixmanager.cpp</file>
    <file>kmlpdunixmanager.h</file>
    <file>kmlpdunixuimanager.cpp</file>
    <file>kmlpdunixuimanager.h</file>
  </compound>
  <compound kind="dir">
    <name>lpr/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/lpr/</path>
    <filename>dir_000002.html</filename>
    <file>apshandler.cpp</file>
    <file>apshandler.h</file>
    <file>editentrydialog.cpp</file>
    <file>editentrydialog.h</file>
    <file>klprfactory.cpp</file>
    <file>klprprinterimpl.cpp</file>
    <file>klprprinterimpl.h</file>
    <file>kmconfiglpr.cpp</file>
    <file>kmconfiglpr.h</file>
    <file>kmlprjobmanager.cpp</file>
    <file>kmlprjobmanager.h</file>
    <file>kmlprmanager.cpp</file>
    <file>kmlprmanager.h</file>
    <file>kmlpruimanager.cpp</file>
    <file>kmlpruimanager.h</file>
    <file>lpchelper.cpp</file>
    <file>lpchelper.h</file>
    <file>lpqhelper.cpp</file>
    <file>lpqhelper.h</file>
    <file>lprhandler.cpp</file>
    <file>lprhandler.h</file>
    <file>lprngtoolhandler.cpp</file>
    <file>lprngtoolhandler.h</file>
    <file>lprsettings.cpp</file>
    <file>lprsettings.h</file>
    <file>matichandler.cpp</file>
    <file>matichandler.h</file>
    <file>matichelper.cpp</file>
    <file>matichelper.h</file>
    <file>printcapentry.cpp</file>
    <file>printcapentry.h</file>
    <file>printcapreader.cpp</file>
    <file>printcapreader.h</file>
  </compound>
  <compound kind="dir">
    <name>management/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/management/</path>
    <filename>dir_000003.html</filename>
    <file>cjanuswidget.cpp</file>
    <file>cjanuswidget.h</file>
    <file>jobitem.cpp</file>
    <file>jobitem.h</file>
    <file>kaddprinterwizard.cpp</file>
    <file>kdeprint_management_module.cpp</file>
    <file>kiconselectaction.cpp</file>
    <file>kiconselectaction.h</file>
    <file>kmconfigcommand.cpp</file>
    <file>kmconfigcommand.h</file>
    <file>kmconfigdialog.cpp</file>
    <file>kmconfigdialog.h</file>
    <file>kmconfigfilter.cpp</file>
    <file>kmconfigfilter.h</file>
    <file>kmconfigfonts.cpp</file>
    <file>kmconfigfonts.h</file>
    <file>kmconfiggeneral.cpp</file>
    <file>kmconfiggeneral.h</file>
    <file>kmconfigjobs.cpp</file>
    <file>kmconfigjobs.h</file>
    <file>kmconfigpage.cpp</file>
    <file>kmconfigpage.h</file>
    <file>kmconfigpreview.cpp</file>
    <file>kmconfigpreview.h</file>
    <file>kmdbcreator.cpp</file>
    <file>kmdbcreator.h</file>
    <file>kmdriverdb.cpp</file>
    <file>kmdriverdb.h</file>
    <file>kmdriverdbwidget.cpp</file>
    <file>kmdriverdbwidget.h</file>
    <file>kmdriverdialog.cpp</file>
    <file>kmdriverdialog.h</file>
    <file>kmiconview.cpp</file>
    <file>kmiconview.h</file>
    <file>kminfopage.cpp</file>
    <file>kminfopage.h</file>
    <file>kminstancepage.cpp</file>
    <file>kminstancepage.h</file>
    <file>kmjobviewer.cpp</file>
    <file>kmjobviewer.h</file>
    <file>kmlistview.cpp</file>
    <file>kmlistview.h</file>
    <file>kmmainview.cpp</file>
    <file>kmmainview.h</file>
    <file>kmpages.cpp</file>
    <file>kmpages.h</file>
    <file>kmprinterpage.h</file>
    <file>kmprinterview.cpp</file>
    <file>kmprinterview.h</file>
    <file>kmpropbackend.cpp</file>
    <file>kmpropbackend.h</file>
    <file>kmpropcontainer.cpp</file>
    <file>kmpropcontainer.h</file>
    <file>kmpropdriver.cpp</file>
    <file>kmpropdriver.h</file>
    <file>kmpropertypage.cpp</file>
    <file>kmpropertypage.h</file>
    <file>kmpropgeneral.cpp</file>
    <file>kmpropgeneral.h</file>
    <file>kmpropmembers.cpp</file>
    <file>kmpropmembers.h</file>
    <file>kmpropwidget.cpp</file>
    <file>kmpropwidget.h</file>
    <file>kmspecialprinterdlg.cpp</file>
    <file>kmspecialprinterdlg.h</file>
    <file>kmtimer.cpp</file>
    <file>kmtimer.h</file>
    <file>kmwbackend.cpp</file>
    <file>kmwbackend.h</file>
    <file>kmwclass.cpp</file>
    <file>kmwclass.h</file>
    <file>kmwdriver.cpp</file>
    <file>kmwdriver.h</file>
    <file>kmwdriverselect.cpp</file>
    <file>kmwdriverselect.h</file>
    <file>kmwdrivertest.cpp</file>
    <file>kmwdrivertest.h</file>
    <file>kmwend.cpp</file>
    <file>kmwend.h</file>
    <file>kmwfile.cpp</file>
    <file>kmwfile.h</file>
    <file>kmwinfobase.cpp</file>
    <file>kmwinfobase.h</file>
    <file>kmwinfopage.cpp</file>
    <file>kmwinfopage.h</file>
    <file>kmwizard.cpp</file>
    <file>kmwizard.h</file>
    <file>kmwizardpage.cpp</file>
    <file>kmwizardpage.h</file>
    <file>kmwlocal.cpp</file>
    <file>kmwlocal.h</file>
    <file>kmwlpd.cpp</file>
    <file>kmwlpd.h</file>
    <file>kmwname.cpp</file>
    <file>kmwname.h</file>
    <file>kmwpassword.cpp</file>
    <file>kmwpassword.h</file>
    <file>kmwsmb.cpp</file>
    <file>kmwsmb.h</file>
    <file>kmwsocket.cpp</file>
    <file>kmwsocket.h</file>
    <file>kmwsocketutil.cpp</file>
    <file>kmwsocketutil.h</file>
    <file>kxmlcommanddlg.cpp</file>
    <file>kxmlcommanddlg.h</file>
    <file>kxmlcommandselector.cpp</file>
    <file>kxmlcommandselector.h</file>
    <file>networkscanner.cpp</file>
    <file>networkscanner.h</file>
    <file>pluginaction.cpp</file>
    <file>pluginaction.h</file>
    <file>sidepixmap.cpp</file>
    <file>sidepixmap.h</file>
    <file>smbview.cpp</file>
    <file>smbview.h</file>
  </compound>
  <compound kind="dir">
    <name>rlpr/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/rlpr/</path>
    <filename>dir_000010.html</filename>
    <file>kmconfigproxy.cpp</file>
    <file>kmconfigproxy.h</file>
    <file>kmproprlpr.cpp</file>
    <file>kmproprlpr.h</file>
    <file>kmproxywidget.cpp</file>
    <file>kmproxywidget.h</file>
    <file>kmrlprfactory.cpp</file>
    <file>kmrlprmanager.cpp</file>
    <file>kmrlprmanager.h</file>
    <file>kmrlpruimanager.cpp</file>
    <file>kmrlpruimanager.h</file>
    <file>kmwrlpr.cpp</file>
    <file>kmwrlpr.h</file>
    <file>krlprprinterimpl.cpp</file>
    <file>krlprprinterimpl.h</file>
  </compound>
  <compound kind="dir">
    <name>tools/</name>
    <path>/home/apidox/src/3.4-api/kdelibs/kdeprint/tools/</path>
    <filename>dir_000004.html</filename>
    <dir>tools/escputil/</dir>
  </compound>
</tagfile>
