<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KNewStuff</name>
    <filename>classKNewStuff.html</filename>
    <member kind="function">
      <type></type>
      <name>KNewStuff</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNewStuff</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;type, const QString &amp;providerList, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;fileName, const QString previewName)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>install</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>createUploadFile</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>downloadDestination</name>
      <anchor>a10</anchor>
      <arglist>(KNS::Entry *entry)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KNS::Engine *</type>
      <name>engine</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNewStuffGeneric</name>
    <filename>classKNewStuffGeneric.html</filename>
    <base>KNewStuff</base>
    <member kind="function">
      <type></type>
      <name>KNewStuffGeneric</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>install</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createUploadFile</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>downloadDestination</name>
      <anchor>a4</anchor>
      <arglist>(KNS::Entry *entry)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNewStuffSecure</name>
    <filename>classKNewStuffSecure.html</filename>
    <base>QObject</base>
    <base>KNewStuff</base>
    <member kind="signal">
      <type>void</type>
      <name>installFinished</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNewStuffSecure</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>install</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createUploadFile</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>downloadResource</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>uploadResource</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>installResource</name>
      <anchor>b0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>removeTempDirectory</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KTempDir *</type>
      <name>m_tempDir</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_tarName</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_signedFileName</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>m_installedResources</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KNS</name>
    <filename>namespaceKNS.html</filename>
    <class kind="class">KNS::DownloadDialog</class>
    <class kind="class">KNS::Engine</class>
    <class kind="class">KNS::Entry</class>
    <class kind="class">KNS::Provider</class>
    <class kind="class">KNS::ProviderLoader</class>
    <class kind="class">KNS::ProviderDialog</class>
    <class kind="class">KNS::UploadDialog</class>
    <member kind="function">
      <type>class KDE_EXPORT KAction *</type>
      <name>standardAction</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;what, const QObject *recvr, const char *slot, KActionCollection *parent, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::DownloadDialog</name>
    <filename>classKNS_1_1DownloadDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotProviders</name>
      <anchor>i0</anchor>
      <arglist>(Provider::List *list)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchor>a0</anchor>
      <arglist>(Engine *engine, QWidget *parent, const QString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent, const QString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DownloadDialog</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchor>a3</anchor>
      <arglist>(QString type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProviderList</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;providerList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a6</anchor>
      <arglist>(QString providerList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProvider</name>
      <anchor>a7</anchor>
      <arglist>(Provider *p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchor>a8</anchor>
      <arglist>(Entry *entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchor>a10</anchor>
      <arglist>(Engine *engine, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchor>a11</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>open</name>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;type, const QString &amp;caption)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>open</name>
      <anchor>e1</anchor>
      <arglist>(QString type)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Engine</name>
    <filename>classKNS_1_1Engine.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>uploadFinished</name>
      <anchor>l0</anchor>
      <arglist>(bool result)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Engine</name>
      <anchor>a0</anchor>
      <arglist>(KNewStuff *newStuff, const QString &amp;type, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Engine</name>
      <anchor>a1</anchor>
      <arglist>(KNewStuff *newStuff, const QString &amp;type, const QString &amp;providerList, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Engine</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;fileName=QString::null, const QString &amp;previewName=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchor>a7</anchor>
      <arglist>(Entry *entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestMetaInformation</name>
      <anchor>a8</anchor>
      <arglist>(Provider *provider)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchor>a9</anchor>
      <arglist>(Entry *entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ignoreInstallResult</name>
      <anchor>a10</anchor>
      <arglist>(bool ignore)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>getMetaInformation</name>
      <anchor>j0</anchor>
      <arglist>(Provider::List *providers)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>selectUploadProvider</name>
      <anchor>j1</anchor>
      <arglist>(Provider::List *providers)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewStuffJobData</name>
      <anchor>j2</anchor>
      <arglist>(KIO::Job *job, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewStuffJobResult</name>
      <anchor>j3</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDownloadJobResult</name>
      <anchor>j4</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUploadPayloadJobResult</name>
      <anchor>j5</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUploadPreviewJobResult</name>
      <anchor>j6</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUploadMetaJobResult</name>
      <anchor>j7</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>createMetaFile</name>
      <anchor>b0</anchor>
      <arglist>(Entry *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Entry</name>
    <filename>classKNS_1_1Entry.html</filename>
    <member kind="function">
      <type></type>
      <name>Entry</name>
      <anchor>a1</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Entry</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAuthor</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>author</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLicence</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>license</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSummary</name>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;, const QString &amp;lang=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>summary</name>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;lang=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVersion</name>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>version</name>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRelease</name>
      <anchor>a15</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>release</name>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReleaseDate</name>
      <anchor>a17</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>releaseDate</name>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPayload</name>
      <anchor>a19</anchor>
      <arglist>(const KURL &amp;, const QString &amp;lang=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>payload</name>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;lang=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreview</name>
      <anchor>a21</anchor>
      <arglist>(const KURL &amp;, const QString &amp;lang=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>preview</name>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;lang=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRating</name>
      <anchor>a23</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rating</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDownloads</name>
      <anchor>a25</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>downloads</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>langs</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseDomElement</name>
      <anchor>a29</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QDomElement</type>
      <name>createDomElement</name>
      <anchor>a30</anchor>
      <arglist>(QDomDocument &amp;, QDomElement &amp;parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDomElement</type>
      <name>addElement</name>
      <anchor>b0</anchor>
      <arglist>(QDomDocument &amp;doc, QDomElement &amp;parent, const QString &amp;tag, const QString &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Provider</name>
    <filename>classKNS_1_1Provider.html</filename>
    <member kind="typedef">
      <type>QPtrList&lt; Provider &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Provider</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Provider</name>
      <anchor>a1</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Provider</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDownloadUrl</name>
      <anchor>a5</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>downloadUrl</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUploadUrl</name>
      <anchor>a7</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>uploadUrl</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoUploadUrl</name>
      <anchor>a9</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>noUploadUrl</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoUpload</name>
      <anchor>a11</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>noUpload</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchor>a13</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>icon</name>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseDomElement</name>
      <anchor>b0</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDomElement</type>
      <name>createDomElement</name>
      <anchor>b1</anchor>
      <arglist>(QDomDocument &amp;, QDomElement &amp;parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::ProviderLoader</name>
    <filename>classKNS_1_1ProviderLoader.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>providersLoaded</name>
      <anchor>l0</anchor>
      <arglist>(Provider::List *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProviderLoader</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;type, const QString &amp;providerList=QString::null)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotJobData</name>
      <anchor>j0</anchor>
      <arglist>(KIO::Job *, const QByteArray &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotJobResult</name>
      <anchor>j1</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::ProviderDialog</name>
    <filename>classKNS_1_1ProviderDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>ProviderDialog</name>
      <anchor>a0</anchor>
      <arglist>(Engine *engine, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProvider</name>
      <anchor>a2</anchor>
      <arglist>(Provider *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::UploadDialog</name>
    <filename>classKNS_1_1UploadDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>UploadDialog</name>
      <anchor>a0</anchor>
      <arglist>(Engine *engine, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UploadDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreviewFile</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;previewFile)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
